
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>条形码和二维码编码解码工具类源码 / 憋错料</title>

    <meta name="description" content="条形码和二维码编码解码工具类源码 有一个好的工具,会让你的开发事半功倍.再将讲这个工具类之前,我先给小白补充一点条形码和二维码(以下基础只是选自,我本科阶段的一本教材:&lt;物联网导论&gt;(刘云浩 编著).有对物联网感兴趣的,可以看看这本书),我们要内外兼修,你说是不是这么个理呢! 多行组成的条形码,不需要连接一个数据库,本身可存储大量数据,应用于:医院.驾驶证.物料管理.货物运输,当条形码受一定破坏时,错误纠正能使条形码能正确解码.二维码,是一个多行.连续 性.可变长.包含大量数据的符号标识.每个条形码有3 - 90行, ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">条形码和二维码编码解码工具类源码</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>　　有一个好的工具，会让你的开发事半功倍。再将讲这个工具类之前，我先给小白补充一点条形码和二维码（以下基础只是选自，我本科阶段的一本教材：《物联网导论》(刘云浩 编著)。有对物联网感兴趣的，可以看看这本书），我们要内外兼修，你说是不是这么个理呢！</p>
<p>　　多行组成的条形码，不需要连接一个数据库，本身可存储大量数据，应用于：医院、驾驶证、物料管理、货物运输，当条形码受一定破坏时，错误纠正能使条形码能正确解码。二维码，是一个多行、连续</p>
<p>性、可变长、包含大量数据的符号标识。每个条形码有3 - 90行，每一行有一个起始部分、数据部分、终止部分。它的字符集包括所有128个字符，最大数据含量是1850个字符。</p>
<p>　　一维条形码只是在一个方向（一般是水平方向）表达信息，而在垂直方向则不表达任何信息，其一定的高度通常是为了便于阅读器的对准。</p>
<p>　　一维条形码的应用可以提高信息录入的速度，减少差错率，但是一维条形码也存在一些不足之处：</p>
<p>　　　　数据容量较小： 30个字符左右</p>
<p>　　　　只能包含字母和数字</p>
<p>　　　　条形码尺寸相对较大（空间利用率较低）</p>
<p>　　　　条形码遭到损坏后便不能阅读</p>
<p>　　在水平和垂直方向的二维空间存储信息的条形码， 称为二维条形码（dimensional bar code）</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvd3d3LmxpYW50dS5jb20vdXBsb2Fkcy9hbGxpbWcvMTIwNzAzLzItMTIwRjMxNTVGOTI5My5naWY=.jpg"></p>
<p><strong>　　优势</strong></p>
<p>　　从以上的介绍可以看出，与二维条形码相比一维条形码有着明显的优势，归纳起来主要有以下几个方面：</p>
<p>　　　　（一）数据容量更大</p>
<p>　　　　（二）超越了字母数字的限制</p>
<p>　　　　（三）条形码相对尺寸小</p>
<p>　　　　（四）具有抗损毁能力</p>
<p>　　<strong>优点</strong></p>
<p>　　1．高密度编码，信息容量大：</p>
<p>　　　　可容纳多达1850个大写字母或2710个数字或1108个字节，或500多个汉字，比普通条码信息容量约高几十倍。</p>
<p>　　2．编码范围广：</p>
<p>　　　　该条码可以把图片、声音、文字、签字、指纹等可以数字化的信息进行编码，用条码表示出来；可以表示多种语言文字；可表示图像数据。</p>
<p>　　3．容错能力强，具有纠错功能：</p>
<p>　　　　这使得二维条码因穿孔、污损等引起局部损坏时，照样可以正确得到识读，损毁面积达50%仍可恢复信息。</p>
<p>　　4．译码可靠性高：</p>
<p>　　　　它比普通条码译码错误率百万分之二要低得多，误码率不超过千万分之一。</p>
<p>　　5．可引入加密措施：</p>
<p>　　　　保密性、防伪性好。</p>
<p>　　6．成本低，易制作，持久耐用。</p>
<p>　　7．条码符号形状、尺寸大小比例可变。</p>
<p>　　8．二维条码可以使用激光或CCD阅读器识读。</p>
<p>***********************************************************************************************************************************</p>
<p>　　看到这里，接下来，我给大家讲解一下封装的条形码和二维码编码解码类。</p>
<pre>  1 import java.awt.image.BufferedImage;
  2 import java.io.File;
  3 import java.util.Hashtable;
  4
  5 import javax.imageio.ImageIO;
  6
  7 import com.google.zxing.BarcodeFormat;
  8 import com.google.zxing.BinaryBitmap;
  9 import com.google.zxing.DecodeHintType;
 10 import com.google.zxing.EncodeHintType;
 11 import com.google.zxing.LuminanceSource;
 12 import com.google.zxing.MultiFormatReader;
 13 import com.google.zxing.MultiFormatWriter;
 14 import com.google.zxing.Result;
 15 import com.google.zxing.client.j2se.BufferedImageLuminanceSource;
 16 import com.google.zxing.client.j2se.MatrixToImageWriter;
 17 import com.google.zxing.common.BitMatrix;
 18 import com.google.zxing.common.HybridBinarizer;
 19 import com.google.zxing.qrcode.decoder.ErrorCorrectionLevel;
 20
 21 /**
 22  * 条形码和二维码编码解码
 23  */
 24 public class ZxingHandler {
 25
 26     /**
 27      * 条形码编码
 28      *
 29      * @param contents
 30      * @param width
 31      * @param height
 32      * @param imgPath
 33      */
 34     public static void encode(String contents, int width, int height, String imgPath) {
 35         int codeWidth = 3 + // start guard
 36                 (7 * 6) + // left bars
 37                 5 + // middle guard
 38                 (7 * 6) + // right bars
 39                 3; // end guard
 40         codeWidth = Math.max(codeWidth, width);
 41         try {
 42             BitMatrix bitMatrix = new MultiFormatWriter().encode(contents,
 43                     BarcodeFormat.EAN_13, codeWidth, height, null);
 44
 45             MatrixToImageWriter
 46                     .writeToFile(bitMatrix, "png", new File(imgPath));
 47
 48         } catch (Exception e) {
 49             e.printStackTrace();
 50         }
 51     }
 52
 53     /**
 54      * 条形码解码
 55      *
 56      * @param imgPath
 57      * @return String
 58      */
 59     public static String decode(String imgPath) {
 60         BufferedImage image = null;
 61         Result result = null;
 62         try {
 63             image = ImageIO.read(new File(imgPath));
 64             if (image == null) {
 65                 System.out.println("the decode image may be not exit.");
 66             }
 67             LuminanceSource source = new BufferedImageLuminanceSource(image);
 68             BinaryBitmap bitmap = new BinaryBitmap(new HybridBinarizer(source));
 69
 70             result = new MultiFormatReader().decode(bitmap, null);
 71             return result.getText();
 72         } catch (Exception e) {
 73             e.printStackTrace();
 74         }
 75         return null;
 76     }
 77
 78     /**
 79      * 二维码编码
 80      *
 81      * @param contents
 82      * @param width
 83      * @param height
 84      * @param imgPath
 85      */
 86     public static void encode2(String contents, int width, int height, String imgPath) {
 87         Hashtable&lt;EncodeHintType, Object&gt; hints = new Hashtable&lt;EncodeHintType, Object&gt;();
 88         // 指定纠错等级
 89         hints.put(EncodeHintType.ERROR_CORRECTION, ErrorCorrectionLevel.L);
 90         // 指定编码格式
 91         hints.put(EncodeHintType.CHARACTER_SET, "GBK");
 92         try {
 93             BitMatrix bitMatrix = new MultiFormatWriter().encode(contents,
 94                     BarcodeFormat.QR_CODE, width, height, hints);
 95
 96             MatrixToImageWriter
 97                     .writeToFile(bitMatrix, "png", new File(imgPath));
 98
 99         } catch (Exception e) {
100             e.printStackTrace();
101         }
102     }
103
104     /**
105      * 二维码解码
106      *
107      * @param imgPath
108      * @return String
109      */
110     public static String decode2(String imgPath) {
111         BufferedImage image = null;
112         Result result = null;
113         try {
114             image = ImageIO.read(new File(imgPath));
115             if (image == null) {
116                 System.out.println("the decode image may be not exit.");
117             }
118             LuminanceSource source = new BufferedImageLuminanceSource(image);
119             BinaryBitmap bitmap = new BinaryBitmap(new HybridBinarizer(source));
120
121             Hashtable&lt;DecodeHintType, Object&gt; hints = new Hashtable&lt;DecodeHintType, Object&gt;();
122             hints.put(DecodeHintType.CHARACTER_SET, "GBK");
123
124             result = new MultiFormatReader().decode(bitmap, hints);
125             return result.getText();
126         } catch (Exception e) {
127             e.printStackTrace();
128         }
129         return null;
130     }
131
132     /**
133      * @param args
134      */
135     public static void main(String[] args) {
136
137         // 条形码
138         String imgPath = "target\\zxing_EAN13.png";
139         String contents = "6923450657713";
140         int width = 105, height = 50;
141
142         ZxingHandler.encode(contents, width, height, imgPath);
143         System.out.println("finished zxing EAN-13 encode.");
144
145         String decodeContent = ZxingHandler.decode(imgPath);
146         System.out.println("解码内容如下：" + decodeContent);
147         System.out.println("finished zxing EAN-13 decode.");
148
149         // 二维码
150         String imgPath2 = "target\\zxing.png";
151         String contents2 = "Hello Gem, welcome to Zxing!"
152                 + "\nBlog [ http://jeeplus.iteye.com ]"
153                 + "\nEMail [ [email&#160;protected] ]";
154         int width2 = 300, height2 = 300;
155
156         ZxingHandler.encode2(contents2, width2, height2, imgPath2);
157         System.out.println("finished zxing encode.");
158
159         String decodeContent2 = ZxingHandler.decode2(imgPath2);
160         System.out.println("解码内容如下：" + decodeContent2);
161         System.out.println("finished zxing decode.");
162
163     }
164
165 }</pre>
<p><strong>转载请注明出处！</strong></p>
<p><strong>http://www.cnblogs.com/libingbin/</strong></p>
<p><strong>感谢您的阅读。如果文章对您有用，那么请轻轻点个赞，以资鼓励。</strong></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-06 02:33:32 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/for/" title="for">for</a>, <a href="https://www.biecuoliao.com/tag/image/" title="image">image</a>, <a href="https://www.biecuoliao.com/tag/evel/" title="evel">evel</a>, <a href="https://www.biecuoliao.com/tag/cli/" title="cli">cli</a>, <a href="https://www.biecuoliao.com/tag/%e6%81%a2%e5%a4%8d/" title="恢复">恢复</a>, <a href="https://www.biecuoliao.com/tag/%e8%a1%a5%e5%85%85/" title="补充">补充</a>, <a href="https://www.biecuoliao.com/tag/hashtable/" title="hashtable">hashtable</a>, <a href="https://www.biecuoliao.com/tag/%e5%ae%b9%e9%94%99/" title="容错">容错</a>, <a href="https://www.biecuoliao.com/tag/%e5%8d%81%e5%80%8d/" title="十倍">十倍</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>条形码和二维码编码解码工具类源码的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MPJoXm3.html" rel="bookmark">java开发&lowbar;org&period;apache&period;commons&period;lang&period;StringUtils工具类源码</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				package org.apache.commons.lang; 18 19 import java.util.ArrayList; 20 import java.util.Collection; 21 import java.util.Iterator; 22 import java.util.List; 23 import java.util.Locale; 24 25 import org.apache.commons.lang.text.StrBuilder; 26 27 /** 28			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0krkzLM.html" rel="bookmark">生成条形码和二维码并实现打印的功能</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				生成条形码和二维码并实现打印的功能     开篇:平台下编解条形码和二维码的工具. 下载地址:http://pan.baidu.com/s/1kTr3Vuf Step1:使用VS2010新建一个窗体程序项目: Step2:添加三个类:分别是BarCodeClass.cs.DocementBase.cs.imageDocument.cs.(下一步贴出这些类的代码);;;;添加下载回来的引用zxing.dll. &gt;说明: &lt;1&gt;   BarCodeClass.cs主要用来实现条形码和二维码的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4QWwr20.html" rel="bookmark">使用谷歌Z生成条形码以及二维码</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				下载地址:http://zxingnet.codeplex.com/ zxing.net是.net平台下编解条形码和二维码的工具,使用非常方便. 首先下载二进制dll文件,引入工程: using System; using System.Collections.Generic; using System.ComponentModel; using System.Data; using System.Drawing; using System.Text; using System.Windows.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/49oDJn0.html" rel="bookmark">C&num;条形码与二维码</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文由来源网络的知识点组合而成,感谢分享的作者,文章结尾处给出查询资料连接. 条形码(barcode)是将宽度不等的多个黑条和空白,按照一定的编码规则排列,用以表达一组信息的图形标识符.常见的条形码是由反射率相差很大的黑条(简称条)和白条(简称空)排成的平行线图案.条形码可以标出物品的生产国.制造厂家.商品名称.生产日期.图书分类号.邮件起止地点.类别.日期等许多信息,因而在商品流通.图书管理.邮政管理.银行系统等许多领域都得到广泛的应用. 二维码(Quick Response Code),又称			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0K2W2OM.html" rel="bookmark">用C&num;实现的条形码和二维码编码解码器</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				转自:http://www.cnblogs.com/tuyile006/archive/2013/01/16/2863367.html 本篇介绍可以在C#中使用的1D/2D编码解码器.条形码的应用已经非常普遍,几乎所有超市里面的商品上面都印有条形码:二维码也开始应用到很多场合,如火车票有二维码识别.网易的首页有二维码图标,用户只需要用手机扫描一下就可以看到手机版网易的网址,免去了输入长串字符的麻烦. 条形码的标准: 条形码的标准有ENA条形码.UPC条形码.二五条形码.交叉二五条形码.库德巴条形			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MBD5wq3.html" rel="bookmark">&lbrack;转&rsqb;用C&num;实现的条形码和二维码编码解码器</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				条形码的标准: 条形码的标准有ENA条形码.UPC条形码.二五条形码.交叉二五条形码.库德巴条形码.三九条形码和128条形码等,而商品上最常使用的就是EAN商品条形码.EAN商品条形码亦称通用商品条形码,由国际物品编码协会制定,通用于世界各地,是目前国际上使用最广泛的一种商品条形码.我国目前在国内推行使用的也是这种商品条形码.EAN商品条形码分为EAN-13(标准版)和EAN-8(缩短版)两种. 二维码的编码标准: 全球现有的二维码多达200种以上,其中常见的技术标准有PDF417(美系标准),			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MErkrg0.html" rel="bookmark">基于opencv3&period;0和zbar下的条形码与二维码识别</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				其中对条码与二维码的识别分为以下4个步骤 1. 利用opencv和Zbar(或者Zxing)对标准的条形码图片(即没有多余背景干扰,且图片没有倾斜)进行解码,将解码信息显示出来,并与原始信息对比. 2. 利用opencv和Zbar(或者Zxing)对标准的QR二维码图片(即没有多余背景干扰,且图片没有倾斜)进行解码,将解码信息显示出来,并与原始信息对比. 3. 对非标准条形码,进行定位,然后用Zbar(或者Zxing)解码显示. 4. 对非标准的QR二维码图片,进行定位,然后用Zbar(或者Zx			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0a2VNR3.html" rel="bookmark">使用ZXing扫描条形码和二维码</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				主要是介绍使用ZXing库进行条形码和二维码的扫描 本帖里面使用的库是别人精简以后的 在代码注释里面作者 - Ryan.Tang 这里主要是介绍一下关于扫描界面 下面是关于属性的介绍 ScanView核心源码解析 ScanView 自定义属性 &lt;declare-styleable name=&quot;ScanView&quot;&gt; &lt;!--指定扫描区域的背景图片--&gt; &lt;attr name=&quot;scanBackground&quot; format=&quot;re			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0xnKGr4.html" rel="bookmark">条形码、二维码扫描</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				条形码.二维码扫描 使用了zxing扫描框架,能够扫描条形码和二维码的信息,直接拷贝就能使用,如果项目中需要调用摄像头扫描的就可以直接使用了.  下载地址:http://www.devstore.cn/code/info/826.html  运行截图:   			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/V02ZDE0.html" rel="bookmark" class="title">sql分页</a>
					<div>
						declare @currentPageIndex int set @currentPageIndex=3select top 5 * from (select row_number() over(o ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/L3rXvvM.html" rel="bookmark" class="title">maven 常用插件总结</a>
					<div>
						maven-javadoc-plugin (1) 说明:该插件生成项目的javadoc.对于构建jar目标,javadoc会首先生成并打包放入jar文件中. (2) 默认用法: pom.xml配置 & ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/02bjxD0.html" rel="bookmark" class="title">【五】注入框架RoboGuice使用&colon;&lpar;Your First POJO Injection&rpar;</a>
					<div>
						上一篇我们简单的介绍了一下RoboGuice的使用([四]注入框架RoboGuice使用:(Your First System Service Injection)),今天我们来看下普通Java对象的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/412P7gM.html" rel="bookmark" class="title">JSP中include指令和include动作区别</a>
					<div>
						首先 &lt;%@ include file=&quot; &quot;%&gt;:为指令元素 &lt;jsp:include page=&quot; &quot; flush=&quot;true& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4peA8RM.html" rel="bookmark" class="title">CentOS安装Openssl</a>
					<div>
						1.安装zlibyum install zlib-devel2.源码安装openssl进入root目录 cd /root下载openssl wget https://www.openssl.org/s ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0kD9rp3.html" rel="bookmark" class="title">三层架构学习实例</a>
					<div>
						如有雷同,不胜荣欣,如转载,请注明 一.三层架构实例 首先学习三层架构模式­——三层架构实现的留言和查看留言 下面是本人学习三层架构的一点感想和理解,肯定有许多不足的地方,欢迎大家斧正,谢谢,废话到此 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MoGl6kM.html" rel="bookmark" class="title">uva 10312 - Expression Bracketing&lpar;Catalan&plus;SuperCatalan&rpar;</a>
					<div>
						Set集合的配置 数据表的创建:表关系一个员工拥有多个身份 create table EMPLOYEE ( id INT NOT NULL auto_increment, first_name VAR ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0lWkVNM.html" rel="bookmark" class="title">spring 技术&lpar;三&rpar; ----- AOP应用开发</a>
					<div>
						1. 新建一个Java Project.名为springtest3.然后新建一个package.名为com.gxcme.springtest3. 2. 加入spring框架. 3.新建一个Interf ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0aYZWA0.html" rel="bookmark" class="title">yewesdjjfe</a>
					<div>
						http://www.djkk.com/blog/mypic-4601613.html http://www.djkk.com/blog/mypic-4601618.html http://www.d ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0a1V9v0.html" rel="bookmark" class="title">【Unity】8&period;2 GUI Style和GUISkin</a>
					<div>
						分类:Unity.C#.VS2015 创建日期:2016-04-27 一.自定义GUI Control 功能控件 (Functional Control) 是游戏必要的,而这些控件的外观对游戏的美感非 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0nLXZx4.html" rel="bookmark" class="title">如何强制使用某一大小的包去ping某个IP地址&quest;</a>
					<div>
						测试MTU的时候用得到的, 命令如下: ping -f -l 9000 10.110.68.40 ping命令的帮助输出如下: C:\Users\administrator&gt;ping /? Us ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/ME62Px0.html" rel="bookmark" class="title">转&colon;AJAX中xhr对象详解</a>
					<div>
						XJAX ,并不是一种新技术的诞生.它实际上代表的是几项技术按一定的方式组合在一在同共的协作中发挥各自的作用. 它包括: 使用XHTML和CSS标准化呈现: 使用DOM实现动态显示和交互: 使用XML ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/02wePR3.html" rel="bookmark" class="title">【MAX10评测】（四）配置</a>
					<div>
						一般FPGA属于易失性芯片,类似于RAM,芯片上的数据和程序在掉电后不会保留,上电后程序需要从外部非易失性芯片加载,如EPCS系列芯片,也可以通过FPGA上JTAG接口或者串行接口写入. ▲而MAX  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xeL6D3.html" rel="bookmark" class="title">installshield中杀死某一个进程</a>
					<div>
						///////////////////////////////////////////////// // Function prototypes. ////////////////////////// ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0e6PQZ3.html" rel="bookmark" class="title">《深入理解Java虚拟机》笔记01 -- 运行时数据区</a>
					<div>
						运行时数据区示意图 1. 程序计数器 占用一块较小的内存空间,它可以看作是当前线程所执行的字节码的行号指示器.主要用来记录线程执行到哪条语句了,分支.循环.跳转.异常处理.线程恢复等功能都需要依赖这个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3vXmmaM.html" rel="bookmark" class="title">WinCE平台的C&num;程序中调用MessageBeep发出一些系统自带的声音，而不用使用playsound</a>
					<div>
						[DllImport(&quot;coredll.dll&quot;, EntryPoint = &quot;MessageBeep&quot;)] public static extern bool ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/472l7R3.html" rel="bookmark" class="title">C&num; Cross thread operation detected&period;</a>
					<div>
						最近改别人的代码调试时报这个错,调试了蛮久没发现什么问题,百度了下也没发现相应的解决方案. Thread th = new Thread(new ThreadStart(() =&gt; { tabl ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MGL96V0.html" rel="bookmark" class="title">Windows服务编程</a>
					<div>
						先说明,本文不是编写服务,而是编程控制已有的服务. 服务是一种程序类型,它在后台运行,服务程序通常可以在本地和通过网络为用户提供一些功能.服务程序可能是EXE程序,具有其单独的进程,也有可能是DLL文 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPgnW64.html" rel="bookmark" class="title">fopen&lpar;&rpar;函数以&amp;quot&semi;a&plus;&amp;quot&semi;方式打开一个不存在的文件后读写出现问题</a>
					<div>
						问题:在完成课后习题的时候,使用fopen()函数以&quot;a+&quot;方式打开一个不存在的文件时,写入.读取出现错误: 1 //添加用户输入单词后,在单词头加入编号,确保编号跟着前面的开始排 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4QpQVl3.html" rel="bookmark" class="title">深入了解C&num;中的静态变量和静态构造函数</a>
					<div>
						深入的剖析C#中静态变量和静态构造函数: 在日常的程序开发过程经常会使用到静态变量,众所周知,静态变量时常驻内存的变量,它的生命周期是从初始化开始一直到Application结束.但是,我们经常会忽略 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.025 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
